* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

@font-face {
  font-family: "Minecraft";
  src: url("font_style/minecraft.ttf") format("truetype");
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

body {
  font-family: "Minecraft", monospace;
  overflow-y: auto;
  overflow-x: hidden;
}

/* ФОН НА ВЕСЬ ЭКРАН */
.background {
  position: fixed;
  inset: 0;
  background-image: url(images/block_dirt_minecraft.png);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  z-index: -1;
}

.background::after {
  content: "";
  position: absolute;
  inset: 0;
  pointer-events: none;

  background: radial-gradient(
    ellipse at center,
    rgba(0, 0, 0, 0) 45%,
    rgba(0, 0, 0, 0.35) 70%,
    rgba(0, 0, 0, 0.65) 100%
  );
}

/* МАКЕТ И САЙТ В ЦЕЛОМ ТИПО */
.page {
  width: 1920px;
  min-height: 1080px;
  margin: 0 auto;
  position: relative;
  margin-bottom: 50px;
  padding: 30px 0 190px 0;
}

.header {
  width: 100%;
  height: 140px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.logo {
  width: 600px;
  height: 90px;

  animation: logoFloat 10s ease-in-out infinite;
  transform-origin: center center;
}

.logo {
  display: flex;
  justify-content: center;
  align-items: center;
  background: none;

  font-family: "Minecraft";
  font-size: 124px;
  letter-spacing: 4px;
  line-height: 1;
  user-select: none;
  white-space: nowrap;
}

.logo-main {
  color: #f5f5f5;
  text-shadow:
    0 4px 0 #a5a5a5,
    0 8px 0 #6b6b6b,
    0 12px 0 #313131,
    0 24px 5px rgba(0, 0, 0, 0.7);
}

.logo-fun {
  color: #f5d400;
  text-shadow:
    0 3px 0 #a89413,
    0 8px 0 #6e631a,
    0 12px 0 #363214,
    0 24px 5px rgba(0, 0, 0, 0.7);
}

@keyframes logoFloat {
  0% {
    transform: translateX(0) scale(1) rotate(0deg);
  }
  25% {
    transform: translateX(8px) scale(1.04) rotate(0.9deg);
  }
  50% {
    transform: translateX(0) scale(1.01) rotate(0deg);
  }
  75% {
    transform: translateX(-8px) scale(0.97) rotate(-0.9deg);
  }
  100% {
    transform: translateX(0) scale(1) rotate(0deg);
  }
}

.content {
  width: 100%;
  height: 700px;
  position: relative;
}

.left-block {
  position: absolute;
  left: 120px;
  top: 80px;
  width: 280px;
  height: 320px;
}

.left-title,
.right-title {
  width: 100%;
  height: 40px;
  margin-bottom: 20px;

  color: white;
  text-shadow:
    0 4px 0 #a5a5a5,
    0 8px 0 #6b6b6b,
    0 12px 0 #313131;

  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 32px;
}

.left-card {
  width: 280px;
  height: 260px;
  background-image: url(images/server_logo_01.png);
  background-size: cover;
  background-position: center;
  border-radius: 20px;
}

.right-card {
  position: absolute;
  right: 120px;
  top: 80px;
  width: 300px;
  height: 360px;
}

.author {
  width: 100%;
  height: 80px;
  margin-bottom: 10px;
  background: #000000;
  background-size: cover;
  background-position: center;
  border-radius: 15px;
}

#au1 {
  background-image: url(images/murs_yt.png);
}

.center-block {
  display: flex;
  justify-content: center;
  align-items: center;
  color: white;
  font-size: 18px;
  text-align: center;
  line-height: 0.7cm;

  padding: 20px;
  position: absolute;
  left: 460px;
  top: 100px;
  width: 1000px;
  height: 300px;
  background: rgba(0, 0, 0, 0.6);
  border-radius: 15px;

  color: white;
}

.bottom {
  width: 100%;
  height: 240px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.big-button {
  position: relative;
  width: 1700px;
  height: 600px;
  background: #000000;
  border-radius: 10px;
  overflow: hidden;
  color: white;
}

.embedded-site {
  width: 100%;
  height: 100%;
  border: none;
  pointer-events: auto;
}

.fullscreen-btn {
  position: absolute;
  left: 20px;
  bottom: 20px;
  width: 40px;
  height: 40px;
  background: rgba(255, 255, 255, 0.774);
  border-radius: 8px;
  font-size: 22px;
  color: rgb(0, 0, 0);
  cursor: pointer;
  z-index: 99;
  display: flex;
  align-items: center;
  justify-content: center;
}
.fullscreen-btn:hover {
  width: 50px;
  height: 50px;
  background-color: aliceblue;
  font-size: 26px;
  display: flex;
  align-items: center;
  justify-content: center;
}
